Page MenuHomeFreeBSD

[NEW PORT] audio/swh-lv2: SWH Plugins in LV2 format
ClosedPublic

Authored by ultima on Aug 19 2017, 6:29 AM.

Details

Summary

A set of utilities to inspect other plugins:

  • The Atom Inspector is meant as a monitor/debug tool for LV2 plugin and host authors. It captures all Atom events sent to its event input port and presents them on its user interface for convenient nested browsing.
  • The MIDI Inspector is meant as a monitor/debug tool for LV2 plugin and host authors. It captures all MIDI events sent to its event input port and presents them on its user interface for convenient nested browsing.
  • The OSC Inspector is meant as a monitor/debug tool for LV2 plugin and host authors. It captures all OSC events sent to its event input port and presents them on its user interface for convenient nested browsing.

WWW: https://open-music-kontrollers.ch/lv2/sherlock/

PR\: 221384
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Aug 19 2017, 6:29 AM
This revision is now accepted and ready to land.Aug 19 2017, 12:34 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Aug 21 2017, 12:59 PM
head/audio/swh-lv2/Makefile
23

GH_ACCOUNT defaults to PORTNAME.

24

But PORTNAME could be lv2 with a PKGNAMEPREFIX of swh-.

ultima reopened this revision.Aug 21 2017, 5:19 PM
ultima updated this revision to Diff 32307.Aug 21 2017, 5:19 PM
ultima edited edge metadata.

Removed GH_ACCOUNT

ultima added inline comments.Aug 21 2017, 5:20 PM
head/audio/swh-lv2/Makefile
23

Didn't realize GH_ACCOUNT and GH_PROJECT both defaulted to PORTNAME.

lifanov accepted this revision.Aug 24 2017, 1:20 PM

Get Yuri's approval (just send him an email or something) and you can commit the GH_ACCOUNT change.

This revision is now accepted and ready to land.Aug 24 2017, 1:20 PM
This revision was automatically updated to reflect the committed changes.